CRM

Poll a recorded call's transcript (advances the pipeline)

GET
/v1/crm/calls/transcript

Authorization

x-api-key<token>

In: header

Query Parameters

id*string
Length1 <= length

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/crm/calls/transcript?id=string"
{
  "data": {
    "aiActions": [
      {
        "dueInDays": 0,
        "durationMinutes": 0,
        "startInDays": 0,
        "title": "string",
        "type": "task"
      }
    ],
    "aiAnalyzedAt": 0,
    "aiLabel": "string",
    "aiSentiment": "positive",
    "aiSummary": "string",
    "answeredBy": "human",
    "createdAt": 0,
    "durationSeconds": 0,
    "endedAt": 0,
    "endedBy": "caller",
    "entityId": "string",
    "fromNumber": "string",
    "id": "string",
    "organizationId": "string",
    "recordingEnabled": true,
    "recordingSid": "string",
    "startedAt": 0,
    "status": "string",
    "toNumber": "string",
    "transcript": [
      {
        "speaker": "user",
        "text": "string"
      }
    ],
    "transcriptSid": "string",
    "transcriptStatus": "pending",
    "twilioCallSid": "string",
    "userId": "string"
  }
}
{
  "error": "string"
}
{
  "error": "string"
}
{
  "error": "string"
}
{
  "error": "string"
}
{
  "error": "string",
  "limit": 0,
  "size": 0
}